package com.ruoyi.web.modules.technology.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 网上培训课程详情。
 */
public class OnlineTrainingCourseDetailVo
{
    private Long id;

    private String courseTitle;

    private String courseIntro;

    private String courseTopic;

    private String videoFileUrl;

    private String videoFilePath;

    private String videoFileName;

    private String coverFileUrl;

    private String coverFilePath;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getCourseTitle()
    {
        return courseTitle;
    }

    public void setCourseTitle(String courseTitle)
    {
        this.courseTitle = courseTitle;
    }

    public String getCourseIntro()
    {
        return courseIntro;
    }

    public void setCourseIntro(String courseIntro)
    {
        this.courseIntro = courseIntro;
    }

    public String getCourseTopic()
    {
        return courseTopic;
    }

    public void setCourseTopic(String courseTopic)
    {
        this.courseTopic = courseTopic;
    }

    public String getVideoFileUrl()
    {
        return videoFileUrl;
    }

    public void setVideoFileUrl(String videoFileUrl)
    {
        this.videoFileUrl = videoFileUrl;
    }

    public String getVideoFilePath()
    {
        return videoFilePath;
    }

    public void setVideoFilePath(String videoFilePath)
    {
        this.videoFilePath = videoFilePath;
    }

    public String getVideoFileName()
    {
        return videoFileName;
    }

    public void setVideoFileName(String videoFileName)
    {
        this.videoFileName = videoFileName;
    }

    public String getCoverFileUrl()
    {
        return coverFileUrl;
    }

    public void setCoverFileUrl(String coverFileUrl)
    {
        this.coverFileUrl = coverFileUrl;
    }

    public String getCoverFilePath()
    {
        return coverFilePath;
    }

    public void setCoverFilePath(String coverFilePath)
    {
        this.coverFilePath = coverFilePath;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
}
